Foreman - Bug #5645

Undefined method session when default organization set
05/09/2014 01:25 PM - Eric Helms

Status: Closed

Priority: Normal

Assignee: Eric Helms

Category: Authentication

Target version: 1.5.1

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.5.0
Bugzilla link: 1096223 Red Hat JIRA:

Pull request:

Description

NameError: undefined local variable or method “session' for Foreman::Controller::UsersMixin:Module

| /home/ehelms/workspace/foreman/app/controllers/concerns/foreman/controller/users_mixin.rb:60:1in

"block in set_current_taxonomies'

| /home/ehelms/workspace/foreman/app/controllers/concerns/foreman/controller/users_mixin.rb:

“each'

| /home/ehelms/workspace/foreman/app/controllers/concerns/foreman/controller/users_mixin.rb:

‘set_current_taxonomies'

| /home/ehelms/workspace/foreman/app/controllers/concerns/foreman/controller/authentication.

:in "~ set_current_user'

| /home/ehelms/workspace/foreman/app/controllers/concerns/foreman/controller/authentication.

:in “authenticate'
Associated revisions

Revision e44762c8 - 05/22/2014 10:49 AM - Eric Helms

Fixes #5645: Fixes session undefined error when user has a default taxonomy set.

Revision b8571d9b - 06/11/2014 01:02 PM - Eric Helms

Fixes #5645: Fixes session undefined error when user has a default taxonomy set.

(cherry picked from commit e44762c830161a70235428¢f175537fa9544377¢)

History

#1 - 05/09/2014 01:26 PM - Dominic Cleal
- Description updated
- Category set to Authentication

- translation missing: en.field_release set to 16

#2 - 05/09/2014 01:37 PM - Eric Helms
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1096223

#3 - 05/09/2014 01:37 PM - Dominic Cleal
- Status changed from New to Ready For Testing

- Target version set to 1.8.3

https://github.com/theforeman/foreman/pull/1432

#4 - 05/13/2014 12:46 PM - Eric Helms

Steps to reproduce:

1. Create a new user and attach them to an organization
2. Save the user
https://github.com/theforeman/foreman/pull/1432

3. Edit the user and set a default organization
4. Create a new role and give the user some simple permission
5. Log in as that user

#5 - 05/13/2014 03:23 PM - Lukas Zapletal

Update: You need to hit the API to reproduce this one.

#6 - 05/19/2014 12:42 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#7 - 05/22/2014 11:31 AM - Eric Helms
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset e44762c830161a70235428¢f175537fa9544377e.
